py3: make sure we open the file to write in bytes mode
ClosedPublic

Authored by pulkit on Dec 28 2017, 7:49 PM.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
pulkit created this revision.Dec 28 2017, 7:49 PM
durin42 accepted this revision.Jan 10 2018, 5:56 PM
This revision is now accepted and ready to land.Jan 10 2018, 5:56 PM
This revision was automatically updated to reflect the committed changes.
yuja added a subscriber: yuja.Jan 11 2018, 9:39 AM
yuja added inline comments.
mercurial/subrepo.py
844

No. Here we explicitly states that we want to open a file in "text" mode.

Needs something like ac69675fff1c.